package stackjava.com.sbdemohttpclient.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import stackjava.com.sbdemohttpclient.entities.User;

@Controller
public class BaseController {

	@RequestMapping("/")
	public String index() {
		return "index";
	}

	@RequestMapping(value = "/basic-post", method = RequestMethod.POST)
	public String basicPost(HttpServletRequest request, Model model) {
		model.addAttribute("username", request.getParameter("username"));
		model.addAttribute("password", request.getParameter("password"));
		System.out.println("Hello");
		return "result-basic-post";
	}

	@ResponseBody
	@RequestMapping(value = "/json-post", method = RequestMethod.POST)
	public ResponseEntity<String> jsonPost(@RequestBody User user) {
		return new ResponseEntity<String>("JSON Post success! \nHello: " + user.getUsername(), HttpStatus.OK);
	}

}
